Summary: VNC screen recorder
Name:    pyvnc2swf
Version: 0.9.5
Release: 25%{?dist}
License: GPLv2+
Group:   System Environment/Base
URL:     http://www.unixuser.org/~euske/vnc2swf/pyvnc2swf.html
Source0: http://www.unixuser.org/~euske/vnc2swf/%{name}-%{version}.tar.gz
# This desktop icon is a combination of the icons for vnc viewer, swfdec 
#   player, screenshot, and an arrow from gthumb.
Source1: %{name}.png
# This desktop file was created by hand.
Source2: %{name}.desktop
Source3: %{name}-play.desktop


BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: desktop-file-utils
Requires: pygame
Requires: tkinter
Requires: hicolor-icon-theme
Requires: x11vnc

%description
VNC2SWF is a cross-platform desktop screen recording tool creating ShockWave
Flash (SWF) format media files.


%prep
%setup -q

# point desktop icon directly at the main vnc2swf.py application
%{__sed} -i 's|Exec=vnc2swf.py|Exec=%{python2_sitelib}/pyvnc2swf/vnc2swf.py|' \
    %{SOURCE2}
# point recordwin.sh to correct vnc2swf.py application path
%{__sed} -i 's|VNC2SWF=pyvnc2swf/vnc2swf.py|VNC2SWF=%{python2_sitelib}/pyvnc2swf/vnc2swf.py|' \
    bin/recordwin.sh


%build
# included make is for the author to make web releases of the application.


%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{python2_sitelib}/pyvnc2swf
install -p -m 0755 pyvnc2swf/* %{buildroot}%{python2_sitelib}/pyvnc2swf
chmod a-x %{buildroot}%{python2_sitelib}/pyvnc2swf/__init__.py

mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/recordwin.sh %{buildroot}%{_bindir}

cd %{buildroot}%{_bindir}
ln -s ../..%{python2_sitelib}/pyvnc2swf/vnc2swf.py vnc2swf
ln -s ../..%{python2_sitelib}/pyvnc2swf/edit.py vnc2swf-edit
ln -s ../..%{python2_sitelib}/pyvnc2swf/play.py vnc2swf-play

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/
install -p -m 644 %{SOURCE1} \
        %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
%if (0%{?fedora} && 0%{?fedora} < 19) || ( 0%{?rhel} && 0%{?rhel} < 7)
    --vendor fedora \
%endif
    --dir %{buildroot}%{_datadir}/applications %{SOURCE2}
desktop-file-install \
    --dir=%{buildroot}%{_datadir}/applications %{SOURCE3}


%files
%doc README.txt LICENCE.TXT docs/*.html
%{python2_sitelib}/pyvnc2swf
%{_bindir}/vnc2swf*
%{_bindir}/recordwin.sh
%if (0%{?fedora} && 0%{?fedora} < 19) || ( 0%{?rhel} && 0%{?rhel} < 7)
%{_datadir}/applications/fedora-%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif
%{_datadir}/applications/%{name}-play.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%exclude %{python2_sitelib}/pyvnc2swf/Makefile


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.5-23
- Remove obsolete scriptlets

* Fri Aug 11 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.9.5-22
- Add a build-time dependency on python2-devel

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-19
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.9.5-14
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.9.5-9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Feb 23 2010 David Timms <iinet.net.au @ dtimms> 0.9.5-8
- add nautilus swf open with menu item to run vnc2swf-play

* Tue Feb 23 2010 David Timms <iinet.net.au @ dtimms> 0.9.5-7
- undelete __init__.py from package; python paths use the empty file ;)
- include play.py since it no longer requires pymedia
- add link vnc2swf-play for easy access to play.py

* Mon Feb 22 2010 David Timms <iinet.net.au @ dtimms> 0.9.5-6
- edit recordwin.sh to correct the path to vnc2swf.py executable

* Mon Feb 22 2010 David Timms <iinet.net.au @ dtimms> 0.9.5-5
- enable install of recordwin.sh since the required x11vnc is now in Fedora
- fix .desktop file en_GB description
- fix pyvnc exec path in .desktop file to point to current python directory.
- del old remarks regarding application link problems.
- fix usage of non-capitalized acronyms in the description and summary.
- del __init* and Makefile from installation

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9.5-4
- Update desktop file according to F-12 FedoraStudio feature

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 David Timms <iinet.net.au @ dtimms> 0.9.5-1
- update to new upstream release
- drop vnc2swf-edit usage exit patch, no longer needed

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.9.3-5
- Rebuild for Python 2.6

* Sat Aug 16 2008 David Timms <iinet.net.au @ dtimms> 0.9.3-4
- fix rpmlint W: symlink-should-be-relative
- mod to use file exclude for the recordwin scripts

* Wed Jul 16 2008 David Timms <iinet.net.au @ dtimms> 0.9.3-3
- del preun symbolic link removes - already done by files section
- add Requires hicolor-icon-theme, so that icon dir is owned correctly
- fix license tag to GPLv2+ since sources say: or later version
- fix some comments spelling

* Sat Jun 21 2008 David Timms <iinet.net.au @ dtimms> 0.9.3-2
- del bash wrapper scripts, create symlinks instead.
- fix the python_sitelib generation
- del play.py from package, since it requires pymedia libary
- del recordwin.sh from package, since it requires x11vnc

* Fri Jun 13 2008 David Timms <iinet.net.au @ dtimms> 0.9.3-1
- del explicit python requires; rpm picks this up automatically
- add Requires: pygame
- add wrapper scripts for vnc2swf.py, edit.py and play.py

* Sun May 25 2008 David Timms <iinet.net.au @ dtimms> 0.9.3-0.2
- add BR desktop-file-utils since it now installs the desktop file and icon.

* Sat May 24 2008 David Timms <iinet.net.au @ dtimms> 0.9.3-0.1
- initial package for fedora.

